Uploaded image for project: 'WildFly'
  1. WildFly
  2. WFLY-11099

ActiveMQ 2.6.3.jbossorg-001 requires QPid Proton-J 0.27.3 (ClassNotFoundExceptions in messaging subsystem)

    Details

    • Steps to Reproduce:
      • Add remote connector with AMQP enabled
      • Start wildfly in standalone-ha-full mode
      • Connect an AMQP client
      • Notice exceptions
    • Affects:
      Migration
    • Affects Testing:
      Regression

      Description

      With the update from Artemis 1.5.x to 2.6.x in WFLY-9407, Proton-J wasn't updated from 0.16.x to 0.27.3, which leads to class not found exceptions for "Sasl... " classes when remote acceptors are created and connected to (I tested with AMQP protocol). When updating Proton-J to the newest version (0.29.0) my issues are gone.

      I'm not sure which other modules are using the proton-j module, but my suggestion is that we bump the version of Proton-j to the required 0.27.3 minimally.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  jmesnil Jeff Mesnil
                  Reporter:
                  jwgmeligmeyling Jan-Willem Gmelig Meyling
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: